Bug 47477 - gnumeric fails to start complaining about fonts
gnumeric fails to start complaining about fonts
Product: Red Hat Linux
Classification: Retired
Component: gnumeric (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
: 46901 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-07-05 13:30 EDT by Telsa Gwynne
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 18:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2001-07-05 13:30:44 EDT
Description of Problem:

Gnumeric fails to start complaining about font problems and suggesting
I check gnome-print.

How Reproducible:


Steps to Reproduce:
1. Default install.
2. Picked en_GB locale (dunno whether relevant), and started Gnome via
3. Started gnumeric from foot menu (same thing happens when starting
from command line after ssh'ing in).

Actual Results:

Dialogue box: "Gnumeric failed to find a suitable default font. Please
verify your gnome-print installation. Your fontmap file could not be
found in the expected location." It then suggested the wrong url for
bugs (it's bugzilla.gnome.org not bugs.gnome.org now) and a set of
information to include with the report.

Expected Results:

I expected it to run :)

Additional Information:

The dialogue box says it's expecting /usr/share/fonts/fontmap

[hobbit@pwca hobbit]$ locate fontmap

LC_ALL is unset. LANG -- well, when starting gnome from gdm it's
en_GB.ISO-8859-1 and when trying it again by ssh'ing in it was

And the libxml version is 1.8.11-3

When starting from a terminal, I get this in the terminal:
** CRITICAL **: file gnome-font-face.c: line 306
(gnome_font_unsized_closest): assertion `face != NULL' failed.

** CRITICAL **: file gnome-font.c: line 244 (gnome_font_new_closest):
assertion `face != NULL' failed.

** CRITICAL **: file gnome-rfont.c: line 963 (create_display_font):
assertion `gnomefont != NULL' failed.
Comment 1 Glen Foster 2001-07-13 18:07:20 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 2 Owen Taylor 2001-07-21 19:07:11 EDT
While I don't know the exact problem that was happening here
to cause an empty /usr/share/font/fontmap2, I changed the handling
of the fontmap a lot in the new gnome-print-0.29-2 RPM and
hopefully this will no longer occur.

(The fontmap is now in /etc/gnome/fonts/fontmap2, among other

The new RPM fixes a system that was broken in this way when
upgrading to it, so that's a decent indication that it is
now fixed.
Comment 3 Owen Taylor 2001-07-21 19:09:28 EDT
*** Bug 46901 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.